Page 130 of 238 FirstFirst ... 3080120128129130131132140180230 ... LastLast
Results 1,291 to 1,300 of 2377

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #1291
    Join Date
    Mar 2010
    Beans
    Hidden!
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    Yes. Fortunately Maverick is easier and has fewer steps than Lucid because it has newer packages in the repository. The first page of this thread has been changed to Maverick and Lucid has been "archived".

    I suppose I'll continue to create a page for each Ubuntu release, but I can't guarantee support for all of them...but the rolling release model is still tempting (just like the distros).
    Thanks

    Yes, I hope ubuntu has rolling release too. No need to hassle every 6 months to get newer features.

  2. #1292
    Join Date
    Mar 2010
    Beans
    Hidden!
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    OOOps..

    Installing it on Maverick, and done with no error.

    It's a really handy guide!

  3. #1293
    Join Date
    Aug 2009
    Location
    USA
    Beans
    4,054
    Distro
    Ubuntu Development Release

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I probably should have left well enough alone, but I tried re-installing it and am getting this error:

    Code:
    cavsfan@cavsfan-desktop:~$ cd ffmpeg
    cavsfan@cavsfan-desktop:~/ffmpeg$ ./configure --enable-gpl --enable-version3 --enable-nonfree --enable-postproc \
    >     --enable-libfaac --enable-libopencore-amrnb --enable-libopencore-amrwb \
    >     --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid \
    >     --enable-x11grab --enable-libmp3lame --enable-libvpx
    ERROR: libmp3lame >= 3.98.3 not found
    
    If you think configure made a mistake, make sure you are using the latest
    version from SVN.  If the latest version fails, report the problem to the
    ffmpeg-user@mplayerhq.hu mailing list or IRC #ffmpeg on irc.freenode.net.
    Include the log file "config.log" produced by configure as this will help
    solving the problem.
    cavsfan@cavsfan-desktop:~/ffmpeg$
    And I cannot figure out Henrikx's way of fixing it. It doesn't work for me.
    Much appreciation!
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Intel Core2 Quad CPU Q9550 @ 2.84Ghz. 4.0GB DDR2 RAM, NVIDIA Geforce 9800 GT

  4. #1294
    Join Date
    Sep 2006
    Beans
    3,622

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Are you using Lucid? I just moved the Lucid version of the guide to it's own page here:

    Install FFmpeg and x264 on Ubuntu Lucid Lynx 10.04

    The first page of this guide is now for Ubuntu Maverick Meerkat 10.10.

  5. #1295
    Join Date
    Oct 2009
    Location
    /Germany/home
    Beans
    28
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Install FFmpeg and x264 on Ubuntu Lucid Lynx 10.04

    sudo apt-get remove libmp3lame-dev sudo apt-get install nasm cd wget http://downloads.sourceforge.net/pro...-3.98.4.tar.gz tar xzvf lame-3.98.4.tar.gz cd lame-3.98.4 ./configure --enable-nasm --disable-shared make sudo checkinstall --pkgname=lame-ffmpeg --pkgversion="3.98.4" --backup=no --default \ --deldoc=yes
    But for mplayer you need the dev again, the same with x264.

    Why not dpkg-buildpackage -b

    libmp3lame0_3.98.4+debian-0ubuntu3_i386.deb
    lame_3.98.4+debian-0ubuntu3_i386.deb
    libmp3lame0-dev_3.98.4+debian-0ubuntu3_i386.deb
    Greetings
    Henrikx

    Ego sum, qui sum

  6. #1296
    Join Date
    Dec 2006
    Beans
    7,232

    Re: Install FFmpeg and x264 on Ubuntu Lucid Lynx 10.04

    Hi Henrikx,

    Quote Originally Posted by Henrikx View Post
    But for mplayer you need the [lame] dev again, the same with x264.
    It is a little aside from your main point but libmp3lame-dev and the x264 -dev files are only required if you plan to build MEncoder as well as MPlayer. My apologies for nitpicking...

    Andrew
    Last edited by andrew.46; September 21st, 2010 at 08:36 AM.
    You think that's air you're breathing now?

  7. #1297
    Join Date
    Oct 2009
    Location
    /Germany/home
    Beans
    28
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Maybe we could work all together, to find out how to debianize (so written?) ffmpeg, x264, etc...
    Greetings
    Henrikx

    Ego sum, qui sum

  8. #1298
    Join Date
    Aug 2009
    Location
    USA
    Beans
    4,054
    Distro
    Ubuntu Development Release

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    Are you using Lucid? I just moved the Lucid version of the guide to it's own page here:

    Install FFmpeg and x264 on Ubuntu Lucid Lynx 10.04

    The first page of this guide is now for Ubuntu Maverick Meerkat 10.10.
    Yes, I am on Lucid 64 bit, and I did go by the instructions on the Lucid page.
    Right now I do not even have ffmpeg or x264 or any of that installed. I think the
    process stopped when I hit the above error.
    I should probably not have un-installed and tried to reinstall, but now that I did,
    I hope I can get it back per your How To. Maybe I can work out any bugs on the
    Lucid 64 bit aspect of it.
    Thanks for putting out this great How to!
    And thanks for tolerating my noobishness in this matter!

    PS I was also trying to install all options including the 2 optional ones.
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Intel Core2 Quad CPU Q9550 @ 2.84Ghz. 4.0GB DDR2 RAM, NVIDIA Geforce 9800 GT

  9. #1299
    Join Date
    Sep 2006
    Beans
    3,622

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Cavsfan View Post
    Code:
    Include the log file "config.log" produced by configure as this will help solving the problem.
    Do you see any useful information in "config.log"? Usually the tail end of the file contains the errors.

  10. #1300
    Join Date
    Aug 2009
    Location
    USA
    Beans
    4,054
    Distro
    Ubuntu Development Release

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by FakeOutdoorsman View Post
    Do you see any useful information in "config.log"? Usually the tail end of the file contains the errors.
    The stuff at the end of /home/cavsfan/ffmpeg/config.log
    Code:
    BEGIN /tmp/ffconf.2bKa1JbZ.c
        1    
        2    #include <stdint.h>
        3    #include <faac.h>
        4    int main(int argc, char **argv){
        5        return (long) faacEncGetVersion;
        6    }
    END /tmp/ffconf.2bKa1JbZ.c
    gcc -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -std=c99 -fomit-frame-pointer -pthread -c -o /tmp/ffconf.1n7REKLU.o /tmp/ffconf.2bKa1JbZ.c
    gcc -o /tmp/ffconf.MlOnm92N /tmp/ffconf.1n7REKLU.o -lm -pthread -lz -lfaac
    check_lib lame/lame.h hip_decode_init -lmp3lame
    check_header lame/lame.h
    check_cpp
    BEGIN /tmp/ffconf.2bKa1JbZ.c
        1    #include <lame/lame.h>
        2    int x;
    END /tmp/ffconf.2bKa1JbZ.c
    gcc -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -std=c99 -fomit-frame-pointer -pthread -E -o /tmp/ffconf.1n7REKLU.o /tmp/ffconf.2bKa1JbZ.c
    /tmp/ffconf.2bKa1JbZ.c:1:23: error: lame/lame.h: No such file or directory
    ERROR: libmp3lame >= 3.98.3 not found
    And the contents of /home/cavsfan/x264/config.log as it was new I believe
    Code:
    x264 configure script
    
    checking whether gcc works... yes
    checking for -std=gnu99... yes
    checking whether yasm supports lzcnt eax, eax... yes
    checking whether gcc supports __asm__("pabsw %xmm0, %xmm0");... yes
    checking for pthread.h... yes
    checking for return log2f(2); in math.h... yes
    checking for sws_getContext(0,0,0,0,0,0,0,0,0,0); in libswscale/swscale.h... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99  -lswscale -lavutil   -lm -lpthread
    conftest.c:1:32: error: libswscale/swscale.h: No such file or directory
    conftest.c: In function ‘main’:
    conftest.c:2: warning: implicit declaration of function ‘sws_getContext’
    --------------------------------------------------
    checking for -lpostproc... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lpostproc   -lm -lpthread
    /usr/bin/ld: cannot find -lpostproc
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for -lavcodec... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lavcodec   -lm -lpthread
    /usr/bin/ld: cannot find -lavcodec
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for -lavcore... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lavcore   -lm -lpthread
    /usr/bin/ld: cannot find -lavcore
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for -lswscale... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lswscale   -lm -lpthread
    /usr/bin/ld: cannot find -lswscale
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for -lavutil... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lavutil   -lm -lpthread
    /usr/bin/ld: cannot find -lavutil
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for -lm... yes
    checking for -lz... yes
    checking for -lbz2... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lbz2   -lm -lpthread
    /usr/bin/ld: cannot find -lbz2
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for -lpthread... yes
    checking for -lavifil32... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lavifil32   -lm -lpthread
    /usr/bin/ld: cannot find -lavifil32
    collect2: ld returned 1 exit status
    --------------------------------------------------
    checking for avcodec_decode_video2(0,0,0,0); in libavformat/avformat.h... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99  -L. -lavformat -lm -lz -lpthread   -lm -lpthread
    conftest.c:1:34: error: libavformat/avformat.h: No such file or directory
    conftest.c: In function ‘main’:
    conftest.c:2: warning: implicit declaration of function ‘avcodec_decode_video2’
    --------------------------------------------------
    checking for FFMS_DestroyVideoSource(0); in ffms.h... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99  -lffms2   -lm -lpthread
    conftest.c:1:18: error: ffms.h: No such file or directory
    conftest.c: In function ‘main’:
    conftest.c:2: warning: implicit declaration of function ‘FFMS_DestroyVideoSource’
    --------------------------------------------------
    checking for FFMS_DestroyVideoSource(0); in ffms.h... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99  -lffms2 -lstdc++ -L. -lavformat -lm -lz -lpthread   -lm -lpthread
    conftest.c:1:18: error: ffms.h: No such file or directory
    conftest.c: In function ‘main’:
    conftest.c:2: warning: implicit declaration of function ‘FFMS_DestroyVideoSource’
    --------------------------------------------------
    checking for gpac/isomedia.h... no
    Failed commandline was:
    --------------------------------------------------
    gcc conftest.c  -Wall -I. -std=gnu99 -lgpac_static   -lm -lpthread
    conftest.c:1:27: error: gpac/isomedia.h: No such file or directory
    --------------------------------------------------
    checking for -fno-tree-vectorize... yes
    checking for fseeko(stdin,0,0); in stdio.h... yes
    checking for -Wshadow... yes
    
    Platform:   X86_64
    System:     LINUX
    asm:        yes
    avs:        no
    lavf:       no
    ffms:       no
    gpac:       no
    pthread:    yes
    filters:    crop select_every
    debug:      no
    gprof:      no
    PIC:        no
    shared:     no
    visualize:  no
    bit depth:  8
    I think it stopped at this error and nothing got installed "ERROR: libmp3lame >= 3.98.3 not found"
    Thanks!
    Check Java Version | Install Java via WEB UPD8 PPA
    Creating a Custom Maintenance Free GRUB2 Screen Community Wiki
    Intel Core2 Quad CPU Q9550 @ 2.84Ghz. 4.0GB DDR2 RAM, NVIDIA Geforce 9800 GT

Page 130 of 238 FirstFirst ... 3080120128129130131132140180230 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •